Measure logo
REST API ReferenceDashboard APINetwork Requests

Fetch an app's network request trends

GET/apps/{id}/networkRequests/trends

Fetch an app's network request trends showing top endpoints by latency, error rate and frequency.

Both versions & version_codes should be present if any one of them is present. from & to will default to a last 24 hours time range if not supplied. Results are limited to the top trends_limit most relevant endpoints per category (default 10, max 50). P95 latency is in milliseconds. Error rate is a percentage (0-100).

Authorization

bearerAuth
AuthorizationBearer <token>

User access token issued at sign-in. Sent as Authorization: Bearer <access-token> unless cookies are used to send tokens. The /auth/refresh and /auth/signout endpoints expect the session's refresh token in the same header format instead.

In: header

Path Parameters

id*string

App's UUID.

Formatuuid

Query Parameters

from?string

ISO8601 timestamp to include events after this time.

to?string

ISO8601 timestamp to include events before this time.

versions?string

List of comma separated version identifier strings.

version_codes?string

List of comma separated version code identifier strings.

os_versions?string

List of comma separated OS version identifier strings.

device_manufacturers?string

List of comma separated device manufacturer identifier strings.

network_providers?string

List of comma separated network provider identifier strings.

network_types?string

List of comma separated network type identifier strings.

network_generations?string

List of comma separated network generation identifier strings.

locales?string

List of comma separated locale identifier strings.

http_methods?string

List of comma separated HTTP method strings.

trends_limit?integer

Maximum number of top endpoints to include per category. Defaults to 10, max 50.

Response Body

application/json

curl -X GET "https://example.com/apps/497f6eca-6276-4993-bfeb-53cbbbba6f08/networkRequests/trends"
{  "trends_latency": [    {      "domain": "api.example.com",      "path_pattern": "/api/users",      "p95_latency": 250.5,      "error_rate": 2.3,      "frequency": 15000    }  ],  "trends_error_rate": [    {      "domain": "api.example.com",      "path_pattern": "/api/auth",      "p95_latency": 150.2,      "error_rate": 5.8,      "frequency": 8500    }  ],  "trends_frequency": [    {      "domain": "api.example.com",      "path_pattern": "/api/feed",      "p95_latency": 120,      "error_rate": 1.2,      "frequency": 50000    }  ]}
Empty
Empty
Empty
Empty
Empty

Think this page can be better?

Open an issue